<template>
  <div id="app">
    <XF :routerShow="routerShow" />
    <transition name="fade" mode="out-in">
      <router-view />
    </transition>
  </div>
</template>

<script>
  import XF from "@/components/XF";
  export default  {
    name:  'App',
    data() {
      return {
        routerShow: null,
      };
    },
    components: {
      XF,
    },
    watch: {
      $route(a) {
        if (
          a.path.indexOf("/login") >= 0 ||
          a.path.indexOf("/404") >= 0 ||
          a.path.indexOf("/401") >= 0
        ) {
          this.routerShow = false;
        } else {
          this.routerShow = true;
        }
      },
    },
  }
</script>
